Post by iplocker » Sun May 28, 2017 12:53 am

So if we follow the official instructions which are to upload to the server the upload folder and go to the installation url I m taking :
Catchable fatal error: Argument 2 passed to Event::trigger() must be of the type array, string given, called in /home/sitename/public_html/CloneSite/system/storage/modification/system/engine/loader.php on line 130 and defined in /home/sitename/public_html/CloneSite/system/engine/event.php on line 19 .
I have read endless posts about this error but not a real solution !
Why upgrades of OC are having so much pain ??
Thanks

Active Member

Posts

Joined
Sun May 26, 2013 6:39 pm


Post by ADD Creative » Mon May 29, 2017 10:16 pm

Try deleting the contents of system/storage/modification (apart from index.html).

Are you upgrading or is it a clean install?

ADD Creative - Web development and e-commerce development, Milton Keynes or Christchurch, UK
ADD Filtration - HVAC Panel Filters, Bag Filters and HEPA Filters


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am

Post by iplocker » Tue May 30, 2017 1:18 am

Hi.
Thanks for your very important reply.
I m doing an upgrade from 2.2 , I have follow your suggestion which I couldn't find in the official upgrade release and I have made a successful upgrade.
Problems after that :
1.At the front of the site:
Fatal error: Uncaught exception 'Exception' with message 'Error: Could not load model extension/total/GOP_COD_Fee!' in /home/sitename/public_html/CloneSite/system/engine/loader.php:59......
I have remove the folders as saying here: http://prntscr.com/fdhd00 but still getting the error. (RESOLVED with the help of Qphoria: viewtopic.php?t=15152 )
2. I see no extensions in my admin , I guess I have to install them again huh .
3. I have made the mistake to click at refresh to the modifications lists and now I m taking in all the admin :
Fatal error: Call to a member function get() on null in /home/sitename/public_html/CloneSite/system/storage/modification/system/library/template.php on line 13 (RESOLVED by deleting again the contents of the /public_html/CloneSite/system/storage/modification )

PS. I guess Daniel when makes a release he dont care at all about the users who uses older versions, I think all the users are having extensions and modifications like me , so why not covered those situations with the upgrade procedure?!
Thanks
Last edited by iplocker on Fri Jun 02, 2017 2:33 am, edited 2 times in total.

Active Member

Posts

Joined
Sun May 26, 2013 6:39 pm


Post by EvolveWebHosting » Tue May 30, 2017 3:08 am

iplocker wrote:
Tue May 30, 2017 1:18 am
Hi.
Thanks for your very important reply.
I m doing an upgrade from 2.2 , I have follow your suggestion which I couldn't find in the official upgrade release and I have made a successful upgrade.
Problems after that :
1.At the front of the site:
Fatal error: Uncaught exception 'Exception' with message 'Error: Could not load model extension/total/GOP_COD_Fee!' in /home/sitename/public_html/CloneSite/system/engine/loader.php:59......
I have remove the folders as saying here: http://prntscr.com/fdhd00 but still getting the error.
2. I see no extensions in my admin , I guess I have to install them again huh .
3. I have made the mistake to click at refresh to the modifications lists and now I m taking in all the admin :
Fatal error: Call to a member function get() on null in /home/sitename/public_html/CloneSite/system/storage/modification/system/library/template.php on line 13 (RESOLVED by deleting again the contents of the /public_html/CloneSite/system/storage/modification )

PS. I guess Daniel when makes a release he dont care at all about the users who uses older versions, I think all the users are having extensions and modifications like me , so why not covered those situations with the upgrade procedure?!
Thanks
How could you expect any developer to maintain all 3rd party extensions and then bundle them with the core release. If you update Windows or MacOS, do they include every single software package available from 3rd party developers? NO. Separate upgrades are issued for those and you install / upgrade those separately. I wouldn't want to download Opencart or any other software package and have to deal with all of the 3rd party extensions as well. They're 3rd party for a reason!

Were you able to work through the main upgrade issues that you had?

Image
https://www.evolvewebhost.com
Unhappy with your current host? We can migrate your account today (usually for no fee)! Visit our website and signup and we'll take care of the rest!
24/7/365 support
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by bohh » Tue May 30, 2017 3:58 pm

Hi to all.
I’m not very updated on Opencart informations but... why this 2.3.0.2 are not updated from august 2016?
Is it perhaps a platform no longer supported by its developers preferring the upcoming version 3?
Or just have not been detected security issues in the meantime?

Sorry for my newbie ignorance!

Many thanks for your support and much compliments for your great work!

Newbie

Posts

Joined
Sun Nov 02, 2014 1:22 am

Post by iplocker » Tue May 30, 2017 4:01 pm

Hi.
Where I have said Daniel has to make the upgrades of the 3rd party extensions????
Please don't post just to post but only if you have something important to say!
I m following the official instructions of OC and I m getting some problems, I haven't seen nowhere in the instructions to delete the contents of the modifications folders as my good friend above suggest me, so I can continue the upgrade .
If you have problematic upgrades its better don't have upgrades ! I find it unprofessional to make a upgrade procedure and not include cases to disable the current extensions to proceed with a successful upgrade, or at least release a full details upgrade manual !!
I think I m reasonable to what I am saying and I don't want to continue this conversation but get practical and expect for some dev full details instructions how to make a successful upgrade and confirm that is successful !
As for example in my dashboard getting this : http://prntscr.com/fdpli7 so I think my upgrade is not successful .
Thanks

Active Member

Posts

Joined
Sun May 26, 2013 6:39 pm


Post by ADD Creative » Wed May 31, 2017 6:08 am

Can you enable the dashboard extensions by going to Extensions -> Extensions -> Dashboard (drop down)?

ADD Creative - Web development and e-commerce development, Milton Keynes or Christchurch, UK
ADD Filtration - HVAC Panel Filters, Bag Filters and HEPA Filters


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am

Post by iplocker » Wed May 31, 2017 5:41 pm

ADD Creative You are giving very good reply's so YES that was there too and they were disabled.
How we should know that they move there is another thing of course as no instructions or something about the new things comes with 2.3.0.2 , logs have become a luxury too , but I will shut up because its a free open source cart as a lot ppls will reply me :)
Thanks for that.

Active Member

Posts

Joined
Sun May 26, 2013 6:39 pm


Post by iplocker » Tue Jun 06, 2017 12:11 am

Is it somewhere written which folders and files we have to remove with the new 2.3.0.2 ?
I have reads so many posts like straightlight's http://forum.opencart.com/viewtopic.php ... 12#p631663 or here by uksitebuilder :
http://forum.opencart.com/viewtopic.php ... &start=180
with folders to remove but not a complete list somewhere.
I am taking duplicate Google Analytics extension so I guess its a folder also we have to delete huh .
Also the captcha folder I guess we have to delete !
Is somewhere an official list of the folder we have to remove ?
I have made some compare byself and I am attaching a txt with the folder I think we have to Delete.

PS. I have open a Post about this : viewtopic.php?f=181&t=185103

Attachments

WHICH FOLDERS TO DELETE AFTER UPGRADE TO 2.3.0.2 FROM 2.2


Active Member

Posts

Joined
Sun May 26, 2013 6:39 pm

Who is online

Users browsing this forum: No registered users and 16 guests